#include "sfr_r833c.h"
#include "i2c.h"
#include "typedefine.h"

/**********************************************************************************/
/* DEFINE                                                                         */
/**********************************************************************************/
#define PD_IIC				pd3							/* PD3_7:SDA,  PD3_5:SCL */
#define PD_IIC_INIT			0b01011111					/* PD3_7:Input, PD3_5:Input */

/**********************************************************************************/
/* Program                                                                        */
/**********************************************************************************/

/*""FUNC COMMENT""***************************************************
* Outline                  : Initial setting of IIC SFR
* Declaration              : void iic_init(void)
* Description              : IIC setting for the master use.
* Argument                 : 0: IIC mode disabled
*                          : 1: IIC mode enabled
* Return Value             : none
*""FUNC COMMENT END""**********************************************/
void iic_init(void)
{
	/* Setting I2C bus function */
		PD_IIC &= PD_IIC_INIT;							/* Set the port direction: PD3_7(SDA) = PD3_5(SCL) = 0(input mode) */
		iicic = 0x00;									/* IIC bus interface interrupt disabled */
		stop_icsr = 0;									/* ~otO@"0" */
		iicsel = 1;										/* IIC bus @\ L */
		mstiic = 0;										/* IICoXX^oCrbg@ANeBu */
		sar = 0x72;										/* 0b01110010 */
}

BYTE g_iic_start(void)
{
	static BYTE ret;
	
	bbsy_iccr2 = 0;
	if(bbsy_iccr2 == 0)			//oXrW[rbgǂݏo
	{
		trs_iccr1 = 1;			
		mst_iccr1 = 1;				//}X^M[h
		
		scp_iccr2 = 0;			
		bbsy_iccr2 = 1;				//Jns
		
		icdrt = 0x39 | 0x01;		//1oCg̑Mf[^̐ݒ
		
		tend_icsr = 1;
		if(tend_icsr == 1)			//1oCgMI҂
		{
			ackbr_icier = 0;
			if(ackbr_icier == 0)	//ANmbW
			{
				ret = TRUE;
				master_rcv_mode();
				//}X^M[h
			}
			else
			{
				ret = FALSE;
			}
		}
		else
		{
			ret = FALSE;
		}
	}
	else
	{
		ret = FALSE;
	}
	
	return ret;
}

void master_rcv_mode(void)
{
	tend_icsr = 0;
	trs_iccr1 = 0;
	mst_iccr1 = 1;				//}X^M[h
	tdre_icsr = 0;
	
	ackbt_icier = 1;
	rcvd_iccr1 = 1;
	
	if(rdrf_icsr == 1)
	{
		stop_icsr = 0;
		
		scp_iccr2 = 0;
		bbsy_iccr2 = 0;
		
		if(stop_icsr == 1)
		{
			 rcvd_iccr1 = 0;
		}
	}	
}
