/***********************************************************************/
/*                                                                     */
/*  FILE        :intprg.c                                              */
/*  DATE        :Wed, Oct 05, 2016                                     */
/*  DESCRIPTION :define the top address of the interrupt vectors.      */
/*  CPU GROUP   :33C                                                   */
/*                                                                     */
/*  This file is generated by Renesas Project Generator (Ver.4.19).    */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/***********************************************************************/
/*********************************************************************
*
* Device     : R8C/33C
*
* File Name  : intprg.c
*
* Abstract   : Define the variable vector table.
*
* History    : 1.00  (2010-04-05)  [Hardware Manual Revision : 1.00]
*            : 1.01  (2010-10-01)
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2010 Renesas Electronics Corporation.
* and Renesas Solutions Corp.
*
*********************************************************************/
#include "sfr_r833c.h"
#include "cstartdef.h"
// When you want to use BANK1 registers
// please define interrupt using /B swtich as follows.
//
//  #pragma interrupt/B xxxx
//

// BRK				(software int 0)
#pragma interrupt	_brk(vect=0)
void _brk(void);
void _brk(void){}

// FLASH MEMORY READY		(software int 1)
#pragma interrupt	_flash_memory_ready(vect=1)
void _flash_memory_ready(void);
void _flash_memory_ready(void){}

// vector 2 reserved
// vector 3 reserved
// vector 4 reserved
// vector 5 reserved
// vector 6 reserved


// timer RC 			(software int 7)
#pragma interrupt	_timer_rc(vect=7)
void _timer_rc(void);
void _timer_rc(void){}

// vector 8 reserved
// vector 9 reserved

// timer RE			(software int 10)
#pragma interrupt	_timer_re(vect=10)
void _timer_re(void);
void _timer_re(void){}

// UART2 transmit		(software int 11)
#pragma interrupt	_uart2_transmit(vect=11)
void _uart2_transmit(void);
void _uart2_transmit(void){}

// UART2 receive		(software int 12)
#pragma interrupt	_uart2_receive(vect=12)
void _uart2_receive(void);
void _uart2_receive(void){}

// input_key			(software int 13)
#pragma interrupt	_input_key(vect=13)
void _input_key(void);
void _input_key(void){}

// ad converter			(software int 14)
#pragma interrupt	_ad_converter(vect=14)
void _ad_converter(void);
void _ad_converter(void){}

// SSUIC/IICIC			(software int 15)
//#pragma interrupt	_ssuic(vect=15)
//void _ssuic(void);
//void _ssuic(void){}

// vector 16 reserved

#if (__STANDARD_IO__ != 0) && defined(__UART0__)
// UART0 can't be used
#else
// UART0 transmit		(software int 17)
#pragma interrupt	_uart0_transmit(vect=17)
void _uart0_transmit(void);
//void _uart0_transmit(void){}

// UART0 receive		(software int 18)
#pragma interrupt	_uart0_receive(vect=18)
void _uart0_receive(void);
void _uart0_receive(void){}
#endif

#if defined(__FOUSB__) || defined(__E8__) || ((__STANDARD_IO__ != 0) && !defined(__UART0__))
// UART1 can't be used
#else
// UART1 transmit		(software int 19)
#pragma interrupt	_uart1_transmit(vect=19)
void _uart1_transmit(void);
void _uart1_transmit(void){}

// UART1 receive		(software int 20)
#pragma interrupt	_uart1_receive(vect=20)
void _uart1_receive(void);
void _uart1_receive(void){}
#endif

// vector 21 reserved

// timer RA			(software int 22)
#pragma interrupt	_timer_ra(vect=22)
void _timer_ra(void);
void _timer_ra(void)
{
	tra_interrupt();
}

// vector 23 reserved

// timer RB			(software int 24)
#pragma interrupt	_timer_rb(vect=24)
void _timer_rb(void);
void _timer_rb(void){}

// int1				(software int 25)
#pragma interrupt	_int1(vect=25)
void _int1(void);
void _int1(void){}

// int3				(software int 26)
#pragma interrupt	_int3(vect=26)
void _int3(void);
void _int3(void){}

// vector 27 reserved
// vector 28 reserved

// int0				(software int 29)
#pragma interrupt	_int0(vect=29)
void _int0(void);
void _int0(void){}

// UART2 bus			(software int 30)
#pragma interrupt	_uart2_bcnic(vect=30)
void _uart2_bcnic(void);
void _uart2_bcnic(void){}

// vector 31 reserved

// vector 32 for user
// vector 33 for user
// vector 34 for user
// vector 35 for user
// vector 36 for user
// vector 37 for user
// vector 38 for user
// vector 39 for user
// vector 40 for user
// vector 41 for user

// vector 42 reserved
// vector 43 reserved
// vector 44 reserved
// vector 45 reserved
// vector 46 reserved
// vector 47 reserved
// vector 48 reserved
// vector 49 reserved

// comparator A1 		(software int 50)
#pragma interrupt	_comparator_a1(vect=50)
void _comparator_a1(void);
void _comparator_a1(void){}

// comparator A2 		(software int 51)
#pragma interrupt	_comparator_a2(vect=51)
void _comparator_a2(void);
void _comparator_a2(void){}

// vector 52 reserved
// vector 53 reserved
// vector 54 reserved
// vector 55 reserved

// vector 56  for user
// vector 57  for user
// vector 58  for user
// vector 59  for user
// vector 60  for user
// vector 61  for user
// vector 62  for user
// vector 63  for user

